module MotionMarkdownItPlugins
  module EmojiPlugin
    module Data
      module Light
        EMOJIES_DEF_LIGHT = {
          "grinning" => "😀",
          "smiley" => "😃",
          "smile" => "😄",
          "grin" => "😁",
          "laughing" => "😆",
          "satisfied" => "😆",
          "sweat_smile" => "😅",
          "joy" => "😂",
          "blush" => "😊",
          "innocent" => "😇",
          "wink" => "😉",
          "relieved" => "😌",
          "heart_eyes" => "😍",
          "kissing_heart" => "😘",
          "kissing" => "😗",
          "kissing_smiling_eyes" => "😙",
          "kissing_closed_eyes" => "😚",
          "yum" => "😋",
          "stuck_out_tongue_winking_eye" => "😜",
          "stuck_out_tongue_closed_eyes" => "😝",
          "stuck_out_tongue" => "😛",
          "sunglasses" => "😎",
          "smirk" => "😏",
          "unamused" => "😒",
          "disappointed" => "😞",
          "pensive" => "😔",
          "worried" => "😟",
          "confused" => "😕",
          "persevere" => "😣",
          "confounded" => "😖",
          "tired_face" => "😫",
          "weary" => "😩",
          "angry" => "😠",
          "rage" => "😡",
          "pout" => "😡",
          "no_mouth" => "😶",
          "neutral_face" => "😐",
          "expressionless" => "😑",
          "hushed" => "😯",
          "frowning" => "😦",
          "anguished" => "😧",
          "open_mouth" => "😮",
          "astonished" => "😲",
          "dizzy_face" => "😵",
          "flushed" => "😳",
          "scream" => "😱",
          "fearful" => "😨",
          "cold_sweat" => "😰",
          "cry" => "😢",
          "disappointed_relieved" => "😥",
          "sob" => "😭",
          "sweat" => "😓",
          "sleepy" => "😪",
          "sleeping" => "😴",
          "mask" => "😷",
          "smiling_imp" => "😈",
          "smiley_cat" => "😺",
          "smile_cat" => "😸",
          "joy_cat" => "😹",
          "heart_eyes_cat" => "😻",
          "smirk_cat" => "😼",
          "kissing_cat" => "😽",
          "scream_cat" => "🙀",
          "crying_cat_face" => "😿",
          "pouting_cat" => "😾",
          "fist_raised" => "✊",
          "fist" => "✊",
          "v" => "✌️",
          "point_up" => "☝️",
          "hand" => "✋",
          "raised_hand" => "✋",
          "cat" => "🐱",
          "mouse" => "🐭",
          "cow" => "🐮",
          "monkey_face" => "🐵",
          "star" => "⭐️",
          "sparkles" => "✨",
          "zap" => "⚡️",
          "sunny" => "☀️",
          "cloud" => "☁️",
          "snowflake" => "❄️",
          "umbrella" => "☔️",
          "coffee" => "☕️",
          "airplane" => "✈️",
          "anchor" => "⚓️",
          "watch" => "⌚️",
          "phone" => "☎️",
          "telephone" => "☎️",
          "hourglass" => "⌛️",
          "email" => "✉️",
          "envelope" => "✉️",
          "scissors" => "✂️",
          "black_nib" => "✒️",
          "pencil2" => "✏️",
          "heart" => "❤️",
          "aries" => "♈️",
          "taurus" => "♉️",
          "gemini" => "♊️",
          "cancer" => "♋️",
          "leo" => "♌️",
          "virgo" => "♍️",
          "libra" => "♎️",
          "scorpius" => "♏️",
          "sagittarius" => "♐️",
          "capricorn" => "♑️",
          "aquarius" => "♒️",
          "pisces" => "♓️",
          "eight_pointed_black_star" => "✴️",
          "x" => "❌",
          "hotsprings" => "♨️",
          "exclamation" => "❗️",
          "heavy_exclamation_mark" => "❗️",
          "grey_exclamation" => "❕",
          "question" => "❓",
          "grey_question" => "❔",
          "bangbang" => "‼️",
          "interrobang" => "⁉️",
          "part_alternation_mark" => "〽️",
          "warning" => "⚠️",
          "recycle" => "♻️",
          "white_check_mark" => "✅",
          "sparkle" => "❇️",
          "eight_spoked_asterisk" => "✳️",
          "negative_squared_cross_mark" => "❎",
          "m" => "Ⓜ️",
          "wheelchair" => "♿️",
          "information_source" => "ℹ️",
          "heavy_plus_sign" => "➕",
          "heavy_minus_sign" => "➖",
          "heavy_division_sign" => "➗",
          "heavy_multiplication_x" => "✖️",
          "tm" => "™️",
          "copyright" => "©️",
          "registered" => "®️",
          "wavy_dash" => "〰️",
          "curly_loop" => "➰",
          "loop" => "➿",
          "heavy_check_mark" => "✔️",
          "ballot_box_with_check" => "☑️",
          "white_circle" => "⚪️",
          "black_circle" => "⚫️",
          "black_small_square" => "▪️",
          "white_small_square" => "▫️",
          "black_medium_small_square" => "◾️",
          "white_medium_small_square" => "◽️",
          "black_medium_square" => "◼️",
          "white_medium_square" => "◻️",
          "black_large_square" => "⬛️",
          "white_large_square" => "⬜️",
          "black_joker" => "🃏",
          "mahjong" => "🀄️"
        }.freeze
      end
    end
  end
end
